Bug 490872 - Review Request: jnettop - Network traffic tracker
Review Request: jnettop - Network traffic tracker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
http://jnettop.kubs.info/wiki/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 08:10 EDT by manuel wolfshant
Modified: 2015-09-14 09:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.13.0-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 20:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2009-03-18 08:10:23 EDT
Spec URL: http://wolfy.fedorapeople.org/jnettop/jnettop.spec
SRPM URL: http://wolfy.fedorapeople.org/jnettop/jnettop-0.13.0-2.src.rpm
Description: 
Jnettop is visualising active network traffic as top does with processes.
It displays active network streams sorted by bandwidth used. This is
often usable when you want to get a fast grip of what is going on on your
outbound router.



The program is similar to iftop. Beats my would anyone use it instead of iftop, but several people recommended it.
Comment 1 manuel wolfshant 2009-03-18 08:12:49 EDT
koji scratch build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1248109

#rpmlint -i /var/lib/mock/fedora-10-x86_64/result/jnettop*rpm
jnettop.x86_64: W: hidden-file-or-dir /usr/share/doc/jnettop-0.13.0/.jnettop
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


The "hidden" file is intended to be like that. There is no system global config, users can copy or symlink to the bundled file.
Comment 2 manuel wolfshant 2009-04-27 05:52:56 EDT
Based on Simon Wesp's suggestion over IRC, I've added a short README.Fedora, which instructs users to look at the bundled "hidden" file. New versions are at
Spec URL: http://wolfy.fedorapeople.org/jnettop/jnettop.spec
SRPM URL: http://wolfy.fedorapeople.org/jnettop/jnettop-0.13.0-3.src.rpm
Comment 3 Simon 2009-04-27 05:58:17 EDT
-------REVIEW JNETTOP-------

template: https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

--------------
MUST: rpmlint must be run on every package. The output should be posted in the review.
OK

--------------
MUST: The package must be named according to the Package Naming Guidelines .
OK

--------------
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK

--------------
MUST: The package must meet the Packaging Guidelines .
OK

--------------
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK

--------------
MUST: The License field in the package spec file must match the actual license.
OK

--------------
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK

--------------
MUST: The spec file must be written in American English.
OK

--------------
MUST: The spec file for the package MUST be legible.
OK

--------------
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK
package: 9529d75011026b3fcaf185b2fb063881 
mydl: 9529d75011026b3fcaf185b2fb063881 

--------------
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK i386

--------------
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
N/A

--------------
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
N/A

--------------
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A

--------------
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A

--------------
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
N/A

--------------
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK

--------------
MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
OK

--------------
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK

--------------
MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

--------------
MUST: Each package must consistently use macros.
OK

--------------
MUST: The package must contain code, or permissable content.
OK

--------------
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
N/A

--------------
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK

--------------
MUST: Header files must be in a -devel package.
N/A

--------------
MUST: Static libraries must be in a -static package.
N/A

--------------
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
N/A

--------------
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A

--------------
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
N/A

--------------
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A

--------------
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
N/A

--------------
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK

--------------
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

--------------
MUST: All filenames in rpm packages must be valid UTF-8.
OK

--------------
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A

--------------
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
N/A

--------------
SHOULD: The reviewer should test that the package builds in mock.
OK

--------------
SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK

--------------
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
N/A

--------------
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
N/A

--------------
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A

--------------
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb
N/A

--------------
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
N/A

==================
 jnettop approved
==================
Comment 4 manuel wolfshant 2009-04-27 06:21:18 EDT
New Package CVS Request
=======================
Package Name:  jnettop
Short Description:  Network traffic tracker
Owners: wolfy
Branches: F9 F10 F11 EL-4 EL-5
InitialCC:
Comment 5 Kevin Fenzi 2009-04-28 23:06:39 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-29 02:10:33 EDT
jnettop-0.13.0-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jnettop-0.13.0-5.fc10
Comment 7 Fedora Update System 2009-04-29 02:11:18 EDT
jnettop-0.13.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/jnettop-0.13.0-5.fc11
Comment 8 Fedora Update System 2009-04-29 02:11:41 EDT
jnettop-0.13.0-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jnettop-0.13.0-5.fc9
Comment 9 Fedora Update System 2009-05-02 12:39:00 EDT
jnettop-0.13.0-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jnettop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4186
Comment 10 Fedora Update System 2009-05-02 12:39:26 EDT
jnettop-0.13.0-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update jnettop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4190
Comment 11 Fedora Update System 2009-05-09 00:05:44 EDT
jnettop-0.13.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jnettop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4434
Comment 12 Fedora Update System 2009-05-19 20:46:59 EDT
jnettop-0.13.0-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-19 20:51:31 EDT
jnettop-0.13.0-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-25 17:18:20 EDT
jnettop-0.13.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 manuel wolfshant 2015-09-13 18:22:09 EDT
Package Change Request
======================
Package Name: jnettop
New Branches: epel7
Owners: wolfy
Comment 16 Gwyn Ciesla 2015-09-14 09:47:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.